coding problem

Hello,
I'm an ignorant coder, I made a buttonbox project only the code I did not work I installed the keypad and joystick libraries and now I have another message and I do not know what to do, can you help me this would be greatly appreciated.
here is the error message:

Compilation options have been changed, everything will be recompiled
C: \ Program Files \ WindowsApps \ ArduinoLLC.ArduinoIDE_1.8.15.0_x86__mdqgnx93n4wtt \ Hardware \ Arduino \ Apr \ Cores \ Arduino \ CDC.cpp: In member function 'available':

C: \ Program Files \ WindowsApps \ ArduinoLLC.ArduinoIDE_1.8.15.0_x86__mdqgnx93n4wtt \ Hardware \ Arduino \ Apr \ Cores \ Arduino \ CDC.cpp: 187: 1: Internal Compiler Error: Segmentation Fault

}

^

Please submit a full bug report,

with preprocessed source if appropriate.

See http://gcc.gnu.org/bugs.html for instructions.

lto-wrapper.exe: fatal error: C: \ Program Files \ WindowsApps \ ArduinoLLC.ArduinoIDE_1.8.15.0_x86__mdqgnx93n4wtt \ hardware \ tools \ avr / bin / avr-gcc returned 1 exit status

compilation terminated.

c: / program files / windowsapps / arduinollc.arduinoide_1.8.15.0_x86__mdqgnx93n4wtt / hardware / tools / apr / bin /../lib/gcc/about/ 5.4.0 /../../../../ avr /bin/ld.exe: error: lto-wrapper failed

collect2.exe: error: ld returned 1 exit status

exit status 1
Compilation error for Leonardo Arduino board
Thank you

This bug is specific to the 5.4.0-atmel3.6.1-arduino2 version of avr-gcc used by Arduino AVR Boards 1.6.22 and newer. It has been reported here:

Here's the workaround:

  • Tools > Board > Boards Manager
  • Wait for downloads to finish.
  • When you move the mouse pointer over "Arduino AVR Boards", you will see a "Select version" dropdown menu appear. Select "1.6.21".
  • Click "Install".
  • Wait for installation to finish.
  • Click "Close".

Due to a bug, this workaround doesn't work with Arduino IDE 1.8.6, but it will work with any other version of the Arduino IDE.

If you have File > Preferences > Check for updates on startup checked, the Arduino IDE may occasionally notify you that a new version of Arduino AVR Boards is available, you'll need to refrain from updating back to the new Arduino AVR Boards version, otherwise you'll be back to seeing the segmentation fault error again.